Get Transaction By Date Range
GET
https://sand-api.monoova.com/au/card/ccm/CreditCardTransaction
createdStartDatestring<date-time>ISO 8601 formatted DateTime.
Transaction creation DateTime from which the query will start. If time is not provided it will be defaulted to midnight.
Must not be future date
createdEndDatestring<date-time>ISO 8601 formatted DateTime
transaction creation DateTime cutoff for query. If time is not provided it will be defaulted to midnight.
Must not be earlier than createdStartDate
customerIdstringcustomerId as provided with the Generate Client Session call for the transaction
clientPaymentTokenUniqueReferencestringclientPaymentTokenUniqueReference as provided with the Generate Client Session call for the transaction
ledgerAccountNumberstringledgerAccountNumber as provided with the Generate Client Session or Create Payment call for the transaction
transactionTypestringcomma separated list of valid transactionTypes
statusstringcomma separated list of transaction status.
pageNumberinteger<int32>current page number for the results
pageSizeinteger<int32>number of results to return per page
acceptstringGenerated from available response content types
200OK
400Bad Request
403Forbidden
404Not Found
500Internal Server Error
502Bad Gateway
504Gateway Timeout
curl --request GET \
--url https://sand-api.monoova.com/au/card/ccm/CreditCardTransaction \
--header 'accept: application/json'